From 34273524912be24a42d2fc0f9c5f24f55052b089 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Wed, 16 Aug 2017 00:22:32 -0400
Subject: [PATCH 1/8] Fix bool/int type confusion

Using ++ on a bool variable doesn't work well when stdbool.h is in use.
The original BSD code appears to use int here, so use that instead.
---
 src/timezone/localtime.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/timezone/localtime.c b/src/timezone/localtime.c
index 08642d1236..82c18e8544 100644
--- a/src/timezone/localtime.c
+++ b/src/timezone/localtime.c
@@ -1379,7 +1379,7 @@ timesub(const pg_time_t *timep, int32 offset,
 	int			y;
 	const int  *ip;
 	int64		corr;
-	bool		hit;
+	int			hit;
 	int			i;
 
 	corr = 0;
-- 
2.14.1

